public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/
Date: Thu,  5 May 2016 13:14:09 +0000 (UTC)	[thread overview]
Message-ID: <1462454022.33e3b1279edee0329f02c129165b278c22918433.xmw@gentoo> (raw)

commit:     33e3b1279edee0329f02c129165b278c22918433
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 13:11:29 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu May  5 13:13:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33e3b127

x11-wm/spectrwm: Fix library path (bug 580452, thanks sdoubleyou).

Package-Manager: portage-2.2.28

 x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild | 51 ++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
new file mode 100644
index 0000000..f07f74f
--- /dev/null
+++ b/x11-wm/spectrwm/spectrwm-2.7.2-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="Small dynamic tiling window manager for X11"
+HOMEPAGE="https://opensource.conformal.com/wiki/spectrwm"
+SRC_URI="http://opensource.conformal.com/snapshots/${PN}/${P}.tgz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="x11-misc/dmenu"
+DEPEND="${DEPEND}
+	x11-libs/libX11
+	x11-libs/libXcursor
+	x11-libs/libXrandr
+	x11-libs/libXtst
+	x11-libs/xcb-util
+	!x11-wm/scrotwm"
+
+S=${WORKDIR}/${P}/linux
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-2.6.2-Makefile.patch
+	tc-export CC
+}
+
+src_compile() {
+	emake PREFIX="${EROOT}usr" LIBDIR="${EROOT}usr/$(get_libdir)"
+}
+
+src_install() {
+	emake PREFIX="${EROOT}usr" DESTDIR="${D}" install
+
+	cd "${WORKDIR}"/${P} || die
+
+	insinto /etc
+	doins ${PN}.conf
+	dodoc ${PN}_*.conf {initscreen,screenshot}.sh
+
+	make_session_desktop ${PN} ${PN}
+
+	elog "Example keyboard config and helpful scripts can be found"
+	elog "in ${ROOT}usr/share/doc/${PF}"
+}


             reply	other threads:[~2016-05-05 13:14 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-05-05 13:14 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-02 22:53 [gentoo-commits] repo/gentoo:master commit in: x11-wm/spectrwm/ Sam James
2024-10-02 20:11 Sam James
2024-07-17 17:07 Ben Kohler
2024-04-26 14:31 Ben Kohler
2023-11-27 13:35 Ben Kohler
2023-11-03 12:23 Ben Kohler
2023-07-14  0:42 Sam James
2023-07-13 20:28 Sam James
2023-04-24 17:28 Ben Kohler
2023-04-24 15:32 Ben Kohler
2023-03-30 16:10 Arthur Zamarin
2023-03-30 15:58 Arthur Zamarin
2023-01-10 16:11 Ben Kohler
2023-01-05 16:35 Ben Kohler
2021-09-23 18:31 Ben Kohler
2021-03-29 15:58 Ben Kohler
2021-03-29 15:44 Ben Kohler
2021-03-29 14:39 Ben Kohler
2021-03-29 13:49 Ben Kohler
2020-10-07  6:42 Agostino Sarubbo
2020-06-25 18:13 Ben Kohler
2020-03-16 13:41 Ben Kohler
2020-01-22 21:09 Ben Kohler
2020-01-13 10:07 David Seifert
2019-10-22 11:33 Jeroen Roovers
2018-02-16 21:44 Michael Weber
2018-02-06 18:36 Thomas Deutschmann
2016-05-25 10:11 Michael Weber
2016-05-05 13:40 Michael Weber
2016-05-05 13:14 Michael Weber
2015-09-05 18:48 Mikle Kolyada
2015-08-09 10:54 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1462454022.33e3b1279edee0329f02c129165b278c22918433.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox